# AWS WAF

This pack includes Cortex XSIAM content.



AWS WAF is a web application firewall service that lets you monitor web requests that are forwarded to an Amazon API Gateway API, an Amazon CloudFront distribution, or an Application Load Balancer.
You can protect those resources based on conditions that you specify, such as the IP addresses that the requests originate from.

## What does this pack do

This integration enables you to:

- Create, retrieve, update, or delete IP sets.
- Create, retrieve, update, or delete Regex patterns sets.
- Create, retrieve, update, or delete Rule groups.
- Create IP rules to associate to a specific rule group.
- Create country rules to associate to a specific rule group.
- Create string match rules to associate to a specific rule group.
- Add statements to existing rules.
